play

## Class ConfigurationChangeWatcherPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.ConfigurationChangeWatcherPlugin

- All Implemented Interfaces:
    java.lang.Comparable<PlayPlugin>

      public class ConfigurationChangeWatcherPlugin
      extends PlayPlugin

  Plugin used for tracking for application.conf changes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.PlayPlugin

      `PlayPlugin.Filter<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `configLastModified`

    - ### Fields inherited from class play.PlayPlugin

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationChangeWatcherPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detectChange()` It's time for the plugin to detect changes.
    `void` | `onApplicationStart()` Called at application start (and at each reloading) Time to start stateful things.
    `protected void` | `onConfigurationFileChanged(VirtualFile conf)`
    `void` | `onConfigurationRead()` Called when the application.conf has been read.

    - ### Methods inherited from class play.PlayPlugin

      `addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStop, onClassesChange, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configLastModified

          protected static long configLastModified

  - ### Constructor Detail

    - #### ConfigurationChangeWatcherPlugin

          public ConfigurationChangeWatcherPlugin()

  - ### Method Detail

    - #### onApplicationStart

          public void onApplicationStart()

      Description copied from class: `PlayPlugin`
      Called at application start (and at each reloading) Time to start stateful things.
      Overrides:
        `onApplicationStart` in class `PlayPlugin`

    - #### onConfigurationRead

          public void onConfigurationRead()

      Description copied from class: `PlayPlugin`
      Called when the application.conf has been read.
      Overrides:
        `onConfigurationRead` in class `PlayPlugin`

    - #### detectChange

          public void detectChange()

      Description copied from class: `PlayPlugin`
      It's time for the plugin to detect changes. Throw an exception is the application must be reloaded.
      Overrides:
        `detectChange` in class `PlayPlugin`

    - #### onConfigurationFileChanged

          protected void onConfigurationFileChanged(VirtualFile conf)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly